Subject: Re: [PATCH][v3] i40e: optimise prefetch page refcount

From: Jesse Brandeburg <[email-masked]>
Date: Tue, 18 Aug 2020 11:19:26 -0700

On Tue, 18 Aug 2020 15:07:57 +0800
Li RongQing <[email-masked]> wrote:

> refcount of rx_buffer page will be added here originally, so prefetchw
> is needed, but after commit 1793668c3b8c ("i40e/i40evf: Update code to
>  better handle incrementing page count"), and refcount is not added
> everytime, so change prefetchw as prefetch,
> 
> now it mainly services page_address(), but which accesses struct page
> only when WANT_PAGE_VIRTUAL or HASHED_PAGE_VIRTUAL is defined
> otherwise it returns address based on offset, so we prefetch it
> conditionally
> 
> Jakub suggested to define prefetch_page_address in a common header
> 
> Reported-by: kernel test robot <[email-masked]>
> Suggested-by: Jakub Kicinski <[email-masked]>
> Signed-off-by: Li RongQing <[email-masked]>

This change looks fine to me, hopefully the more heavyweight
prefetch instruction doesn't impact performance. Were you able to test
any performance?

Reviewed-by: Jesse Brandeburg <[email-masked]>